#!/bin/bash

clear

echo "**      needs root user to run     **"
echo "** enter root password to continue **"

[ "$UID" -eq 0 ] || exec sudo "$0" "$@"


echo "*************************************"
echo "**     Mini-Pi Setup script        **"
echo "**                                 **"
echo "**     NOTE: Make sure you have    **"
echo "**  filled in the wpa_supplicant   **"
echo "**     file with your WI-FI first  **"
echo "*************************************"
echo ""

read -p "**   Press enter to continue   **"
echo ""

sudo apt-get update
sudo apt-get upgrade -y
sudo apt-get install -q -y nano preload samba neofetch minidlna exfat-fuse exfat-fuse zram-tools apache2 php php-cli php-common php-zip php-fileinfo php-dom
sudo echo extension=fileinfo >> /etc/php/*/cli/php.ini

echo "** copy config files to locations **"

sleep 5
sudo cp ./smb.conf /etc/samba
sudo cp ./minidlna.conf /etc/
sudo cp ./wpa_supplicant.conf /etc/wpa_supplicant/
sudo cp ./index.html /var/www/html
sudo cp ./reeds.gif /var/www/html
sudo cp ./popcorn.png /var/www/html
sudo cp ./000-default.conf /etc/apache2/sites-enabled
sudo cp -Rv ./DirectoryLister/* /var/lib/minidlna/

echo "************************************************"
echo "**     add a password for samba user pi       **"
echo "************************************************"


sudo smbpasswd -a pi
sudo mkdir /var/lib/minidlna/Video
sudo mkdir /var/lib/minidlna/Music

sudo chmod 775 -Rv /var/lib/minidlna
sudo chmod 777 /var/lib/minidlna/app/cache

echo "************************************************"
echo "**                setup Webmin                **"
echo "************************************************"
echo ""

curl -o webmin-setup-repos.sh https://raw.githubusercontent.com/webmin/webmin/master/webmin-setup-repos.sh

sudo sh webmin-setup-repos.sh

sudo apt install webmin --install-recommends


echo "************************************************"
echo "**                setup compete               **"
echo "************************************************"
echo ""

read -p "**   This PC is now set up. Press enter to reboot   **"
echo ""
sudo reboot
